html {
     font-size: 14px; /* Generelle kleinere Basis-Schriftgröße */
}

body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 20px;
    background-color: #f4f4f4;
    font-size: 0.875rem; /* Kleinere Schrift für den Text */
}

.container {
    width: 90%; /* Nimmt 90% der verfügbaren Breite ein */
    max-width: 1200px; /* Optional: Maximalbreite festlegen */
    margin: 0 auto;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

h1 {
    text-align: center;
    color: #333;
    font-size: 1rem; /* Kleinere Überschrift */
    margin-bottom: 20px;
}

label {
    font-size: 0.8rem; /* Kleinere Labels */
    margin: 0 10px 0 0;
    display: inline-block; /* Nebeneinander mit Input-Feldern */
    width: 30%; /* Breite der Labels */
}

input, select {
    font-size: 0.8rem; /* Kleinere Eingabefelder */
    padding: 8px;
    border-radius: 4px;
    border: 1px solid #ccc;
    width: 68%; /* Breite der Eingabefelder */
}

.input-container {
    display: flex;
    justify-content: space-between; /* Platz zwischen Label und Feld */
    align-items: center;
    margin-bottom: 10px;
}


.custom-file-label {
    display: inline-block;
    padding: 10px 20px;
    font-size: 0.875rem; /* Kleinere Button-Beschriftung */
    background-color: #007bff;
    color: white;
    border-radius: 5px;
    cursor: pointer;
    text-align: center;
    width: 100%; 
    max-width: 300px;
    margin-top: 20px;
}

#image-previews {
    margin-top: 20px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.image-container {
    border: 1px solid #ccc;
    padding: 5px; /* Kleinere Padding */
    border-radius: 5px;
    background-color: #f9f9f9;
    text-align: center;
    width: calc(30% - 20px);
    box-sizing: border-box;
    position: relative;
    font-size: 0.8rem; /* Kleinere Schrift im Container */
}

.image-container img {
    max-width: 100%;
    height: auto;
}

.image-container p {
    margin: 10px 0 0;
    font-size: 0.8rem; /* Kleinere Schrift */
    color: #555;
}

.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.modal img {
    max-width: 90%;
    max-height: 90%;
}

.progress-bar {
    background: #e0e0e0;
    border-radius: 5px;
    height: 3px;
    width: 100%;
    margin-top: 5px;
}

.progress-bar span {
    background: #76c7c0;
    height: 100%;
    width: 0;
}

 .table-container {
    margin-top: 20px;
}

  .table-img {
    width: 50px;
    height: auto;
    cursor: pointer;
}



  .error {
            border: 2px solid #dc3545 !important; /* Rote Markierung für Fehler */
            background-color: #f8d7da !important; /* Hintergrundfarbe für Fehler */
        }
        .success {
            background-color: #d4edda !important; /* Grünlicher Hintergrund für erfolgreiche Zeilen */
        }
        .warning {
            background-color: #fff3cd !important; /* Gelber Hintergrund für Warnungen */
        }
@media only screen and (min-width: 768px) {
    body {
        font-size: 0.9rem; /* Etwas größere Schrift auf Tablets */
    }
}

@media only screen and (min-width: 1024px) {
    body {
        font-size: 1rem; /* Größere Schrift auf größeren Bildschirmen */
    }
}

.img-thumbnail {
    max-width: 50px;
    max-height: 50px;
    object-fit: cover;
}

.card-title {
    font-size: 1.2em;
    margin: 0;
}

.file-upload-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 10px;
}

.btn-upload {
    font-size: 1.1rem;
    padding: 10px 20px;
    border-radius: 8px;
    transition: background-color 0.3s;
}

.btn-upload:hover {
    background-color: #0056b3;
}
